Skip to main content

Add Scrip to Watch List

Request to be POSTed to uri : /NorenWClientAPI/AddMultiScripsToMW

Request Details :

Parameter NamePossible valueDescription
jData*Should send json object with fields in below list
Json FieldsPossible valueDescription
uid*Logged in User Id
wlname*Name of the Watchlist, for which scrip list is required.
scrips*List of scrips, example format NSE

Example:

curl --location 'https://api.kambala.co.in/NorenWClientAPI/AddMultiScripsToMW' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer ab67cdf7d4d350db03c9334bef7be8fc802fc6d5bc9342f4ac60d60d8c9930e2' \
--data 'jData={"uid":"DEMO","wlname":"WL7","scrips":"ACC-EQ"}

Response Details :

Response data will be in json format with below fields.

Json FieldsPossible valueDescription
statOk or Not_OkWatch list update success or failure indication..
request_timeIt will be present only in a successful response.
emsgThis will be present only in case of errors. That is : 1) Invalid Input 2) Session Expired

Sample Success Response :

{
"request_time": "13:50:40 21-05-2020",
"stat": "Ok"
}

Sample Failure Response :

{
"stat":"Not_Ok",
"emsg":"Session Expired : Invalid Session Key"
}